package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 车辆型号对象 et_model
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
@Data
public class RlModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long modelId;

    /** 车型 */
    @Excel(name = "车型")
    private String model;

    /** 品牌商 */
    @Excel(name = "品牌商")
    private String brand;

    /** 满电电压 */
    @Excel(name = "满电电压")
    private Double fullVoltage;

    /** 亏电电压 */
    @Excel(name = "亏电电压")
    private Double lowVoltage;

    /** 满电续航 */
    @Excel(name = "满电续航")
    private Integer fullEndurance;

    /** 已投放车辆数 */
    private Integer deviceNum;

}
